package com.company.indexbugsoftdelete.entity


interface BaseNaturalPerson {
    companion object {
        const val FIRST_NAME = "FIRST_NAME"
        const val LAST_NAME = "LAST_NAME"
        const val CIVILITY_ID = "CIVILITY_ID"
        const val EMAIL = "EMAIL"
    }

    var firstName: String?

    var lastName: String?

    var civility: Civility?

    var email: String?

    val fullName: String?
        get() {
            return if (!lastName.isNullOrBlank()) {
                with(mutableListOf<String>()) {
                    if (!civility?.name.isNullOrBlank()) this.add(civility!!.name!!)
                    if (!firstName.isNullOrBlank()) this.add(firstName ?: "")
                    this.add(lastName ?: "")
                    this.fold("") { acc, s -> if (acc.isBlank()) s else "$acc $s" }
                }
            } else email
        }
}
