package com.company.indexbugsoftdelete.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import javax.persistence.Entity
import javax.persistence.Table
import javax.persistence.UniqueConstraint

@JmixEntity
@Table(name = "COM_CIVILITY", uniqueConstraints = [
    UniqueConstraint(name = "IDX_COM_CIVILITY_UNQ", columnNames = ["CODE", "SEARCH_KEY"]),
    UniqueConstraint(name = "IDX_COM_CIVILITY_UNQ_NAME", columnNames = ["NAME", "SEARCH_KEY"])
])
@Entity(name = "com_Civility")
open class Civility : BaseMasterData()
