package com.company.indexbugsoftdelete.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Table
import javax.persistence.UniqueConstraint


@JmixEntity
@Table(name = "COM_DATA_ORIGIN", uniqueConstraints = [
    UniqueConstraint(name = "IDX_COM_DATA_ORIGIN_UNQ", columnNames = ["CODE", "SEARCH_KEY"]),
    UniqueConstraint(name = "IDX_COM_DATA_ORIGIN_UNQ_NAME", columnNames = ["NAME", "SEARCH_KEY"])
])@Entity(name = "com_DataOrigin")
open class DataOrigin : BaseMasterData() {
    @Column(name = "CONFIDENCE_LEVEL")
    var confidenceLevel: Int? = null
}