package com.company.indexbugsoftdelete.entity

import io.jmix.core.metamodel.datatype.impl.EnumClass

enum class MenuInsertionMode(private val id: Int) : EnumClass<Int> {
    FIRST(10),
    BEFORE(20),
    AFTER(30),
    LAST(40);

    override fun getId() = id

    companion object {

        @JvmStatic
        fun fromId(id: Int): MenuInsertionMode? = MenuInsertionMode.values().find { it.id == id }
    }

}