package com.company.indexbugsoftdelete.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@MappedSuperclass
abstract class BaseErrorHistory<T : BaseEntity> : BaseEntity() {

    @JoinColumn(name = "ERROR_TYPE_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    open var errorType: ErrorType? = null

    @Column(name = "DATE_")
    @Temporal(TemporalType.TIMESTAMP)
    open var date: Date? = null

    @Column(name = "MESSAGE")
    open var message: String? = null

}