package com.company.indexbugsoftdelete.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import javax.persistence.Entity
import javax.persistence.Table
import javax.persistence.UniqueConstraint

@JmixEntity
@Table(name = "COM_ERROR_TYPE", uniqueConstraints = [
    UniqueConstraint(name = "IDX_COM_ERROR_TYPE_UNQ", columnNames = ["CODE", "SEARCH_KEY"]),
    UniqueConstraint(name = "IDX_COM_ERROR_TYPE_UNQ_1", columnNames = ["NAME", "SEARCH_KEY"])
])
@Entity(name = "com_ErrorType")
open class ErrorType : BaseMasterData()